Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.taglib
[Groovy] Class SitemeshTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.SitemeshTagLib

    class SitemeshTagLib

Internal Sitemesh pre-processor tags.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`java.lang.Object` | `captureBody` Captures the <body> tag.
`java.lang.Object` | `captureContent` Captures the individual <content> tags.
`java.lang.Object` | `captureHead` Captures the <head> tag.
`java.lang.Object` | `captureMeta` Captures the individual <meta> tags.
`java.lang.Object` | `captureTitle` Captures the <title> tag.
`static java.lang.Object` | `namespace`
`java.lang.Object` | `parameter` Allows passing of parameters to Sitemesh layout.

Method Summary
`java.lang.Object` | `captureTagContent(java.lang.Object writer, java.lang.Object tagname, java.lang.Object attrs, java.lang.Object body)`
`java.lang.Object` | `wrapContentInBuffer(java.lang.Object content)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### captureBody

    java.lang.Object captureBody

  Captures the <body> tag.

### captureContent

    java.lang.Object captureContent

  Captures the individual <content> tags.

### captureHead

    java.lang.Object captureHead

  Captures the <head> tag.

### captureMeta

    java.lang.Object captureMeta

  Captures the individual <meta> tags.

### captureTitle

    java.lang.Object captureTitle

  Captures the <title> tag.

### namespace

    static java.lang.Object namespace

### parameter

    java.lang.Object parameter

  Allows passing of parameters to Sitemesh layout.
  <sitemesh:parameter name="foo" value="bar" />

Method Detail

### captureTagContent

    java.lang.Object captureTagContent(java.lang.Object writer, java.lang.Object tagname, java.lang.Object attrs, java.lang.Object body)

### wrapContentInBuffer

    java.lang.Object wrapContentInBuffer(java.lang.Object content)

Groovy Documentation